SRP-GEN(1)

NAME
srp-gen - generate a password verifier for the SRP protocol.

SYNOPSIS
srp-gen [options]

DESCRIPTION
This manual page documents briefly the srp-gen command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

srp-gen is a program that generates a password verifier for the Secure Remote Password protocol. The password verifier should be stored as ~/.lsh/srp-verifier on the target (remote) machine on which you want to authenticate using SRP. For more information about SRP, see the "srp" node of the "Getting started" section of the Lsh manual available via the info system.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-l, --user=username
    User name.

-o, --output-file=filename
    The file to output to. Default is to output to stdout.

-p, --password=password
    The password to use.

--debug
    Print lots of debug information.

-q, --quiet
    Suppress all warnings and diagnostic messages.

--trace
    Detailed trace.

-v, --verbose
    Print verbose diagnostic messages.

-f, --output-format=format
    The S-expression output format. Valid sexp formats are: transport, canonical, advanced and international.

-?, --help
    Show summary of options.

--usage
    Show a short usage message.

-V, --version
    Show version of program.

SEE ALSO
lsh(1), lshd(1), sexp-conv(1).
The lsh programs (including this one) are documented fully by Lsh, available via the Info system.

AUTHOR
This manual page was written by Timshel Knoll <timshel@debian.org>, for the Debian GNU/Linux system (but may be used by others).